/*
Theme Name: neighbor.group
Version: 0.0.1
Template: twentynineteen
Description: Software for organizing local mutual aid groups.
Author: dphiffer
Author URI: https://phiffer.org/
License: Climate Strike License
License URI: https://climatestrike.software/
*/

@import url('/wp-content/themes/twentynineteen/style.css');
@import url('/wp-content/themes/neighbor.group/css/source-sans-pro/source-sans-pro.css');

.site-title {
	font-family: "Source Sans Pro", sans-serif;
	text-transform: uppercase;
	font-weight: 900;
	font-size: 1.33em;
}

.site-description {
	display: block;
	font-family: "Source Sans Pro", sans-serif;
	font-weight: 600;
	font-size: 1.2em;
}

.site-title:not(:empty) + .site-description:not(:empty)::before {
	content: "";
	margin: 0;
}

body {
	font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
	font-size: 16px;
	line-height: 24px;
}

ul {
	list-style: square;
	padding-left: 0.8rem;
}

li {
	line-height: 24px;
	margin-top: 0.5em;
}

li:first-child {
	margin-top: 0;
}

input[type="text"],
input[type="email"],
input[type="phone"],
textarea {
	display: block;
	width: 100%;
	margin: 5px 0 10px 0;
	font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
	font-size: 14px;
	line-height: 18px;
	border: 2px solid #999;
	padding: 5px;
}

.hidden {
	display: none;
}

.map {
	width: 100%;
	height: 500px;
	position: relative;
}

.map .map__info {
	position: absolute;
	left: 0;
	top: 0;
	height: 500px;
	width: 350px;
	padding: 0 20px 20px 20px;
}

.map .map__info h3 {
	margin-top: 0;
}

.map .map__base {
	position: absolute;
	right: 0;
	top: 0;
	width: calc(100% - 350px);
	height: 500px;
}

@media only screen and (max-width: 768px) {
	.map {
		height: 670px;
	}

	.map .map__info {
		width: 100%;
		height: 250px;
		float: left;
		position: relative;
	}
	
	.map .map__base {
		position: relative;
		margin: auto;
		width: 90%;
		height: 420px;
	}
	
	.map .map__selection {
		color: teal;	/*Making font more legible*/ 
		position: inherit;
		padding: 10px;
		background-color: rgba(186, 224, 211, 0.5);
		height: inherit;
		z-index: 99999999;
	}
}

.map .map__geoid {
	font-size: 0.8em;
	color: #808080;
	position: absolute;
	bottom: 0;
	left: 20px;
}

.leaflet-control-locate a {
	text-align: center;
	line-height: 26px;
}

.contact.sending .btn {
	opacity: 0.5;
	pointer-events: none;
}

.contact__feedback {
	font-size: 0.8em;
	font-weight: bold;
	margin: 1em 0;
}

.entry .entry-content > .map {
	width: 100vw;
	max-width: 100vw;
	margin-left: calc(-10% - 98px);
}
